Subject: Re: [PATCH] powerpc/powernv: Increase memory block size to 1GB on radix

From: Anton Blanchard <[email-masked]>
Date: Thu, 7 Sep 2017 15:17:41 +1000

Hi,

> There is a similar issue being worked on w.r.t pseries.
> 
> https://lkml.kernel.org/r/[email-masked]
> 
> The question is should we map these regions ? ie, we need to tell the 
> kernel memory region that we would like to hot unplug later so that
> we avoid doing kernel allocations from that. If we do that, then we
> can possibly map them via 2M size ?

But all of memory on PowerNV should be able to be hot unplugged, so
there are two options as I see it - either increase the memory block
size, or map everything with 2MB pages. 

Anton